# frozen_string_literal: true

require_relative "lib/dingding-notifier/version"

Gem::Specification.new do |spec|
  spec.name          = "dingding-notifier"
  spec.version       = Dingding::Notifier::VERSION
  spec.authors       = ["bineanshi"]
  spec.email         = ["bineanshi@sina.com"]

  spec.summary       = "钉钉机器人webhook"
  spec.description   = "钉钉机器人webhook"
  spec.homepage      = "https://gitee.com/ntshibin/dingding-notifier"
  spec.license       = "MIT"
  spec.required_ruby_version = ">= 2.3.0"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://gitee.com/ntshibin/dingding-notifier"
  spec.metadata["changelog_uri"] = "https://gitee.com/ntshibin/dingding-notifier/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.add_dependency 'eventmachine', '~> 1.2', '>= 1.2.7'
  spec.add_dependency 'faraday', '~> 0.17.4', '>= 0.17.4'
  spec.add_dependency 'faraday_middleware','~> 0.14.0', '>= 0.14.0'
  spec.add_dependency 'faraday-rack', '~> 1.0' if RUBY_VERSION >= "2.4"
  spec.add_dependency 'hashie', '~> 4.1'
  spec.add_dependency 'json', '~> 2.5', '>= 2.5.1'
  spec.add_dependency 'mime-types', '~> 3.3', '>= 3.3.1'
  spec.add_dependency 'multi_json', '~> 1.15'
  
end
